.custom_header {
  width: 100%;
  background-color: #000;
  color: #fff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.custom_header__logo-container {
  text-align: center;
  height: 60px;
}

.custom_header__logo {
  height: 100%;
}

.custom_header__banner-image img {
  max-width: 100%;
  width: 100%;
  height: auto;
}

.custom_header__info-bar {
  padding: 20px 0;
}

.custom_header__info-container {
  max-width: 80%;
  margin: 0 auto;
  background: #fff;
  border-radius: 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 12px 20px;
}

.custom_header__info-left {
  display: flex;
  flex-direction: column;
  margin-left: 5%;
}

.custom_header__info-row {
  display: flex;
  align-items: center;
  margin-bottom: 4px;
}

.custom_header__info-icon {
  width: 24px;
  height: 24px;
}

.custom_header__info-text {
  margin-left: 12px;
}

.custom_header__icon {
  flex-shrink: 0;
  width: 24px;
  height: 24px;
  margin-right: 8px;
}

.custom_header__info-place {
  font-weight: bold;
  color: #000000;
  font-size: 14px;
}

.custom_header__info-hours {
  margin-top: 4px;
  font-size: 0.8rem;
  color: #555;
}

.custom_header__info-button {
  border: none;
  border-radius: 30px;
  width: 200px;
  padding: 8px 24px;
  color: #fff;
  font-weight: bold;
  text-transform: uppercase;
  pointer-events: none;
  background: #000;
}

.custom_header__info-button.open {
  background: #4caf50;
}

.custom_header__info-button.close {
  background: #000000;
}

/* ---------------------------------------
     MOBİL (max-width: 768px)
     --------------------------------------- */
@media (max-width: 768px) {
  .custom_header__logo-container {
    text-align: left;
  }

  .custom_header__logo {
    margin-top: 0.6rem;
  }

  .custom_header__banner {
    flex-direction: column;
    text-align: center;
    padding: 20px 10px;
  }

  .custom_header__banner-text,
  .custom_header__banner-image {
    max-width: 100%;
  }

  .custom_header__banner-image {
    margin-top: 20px;
  }

  .custom_header__info-container {
    flex-direction: column;
    text-align: center;
  }

  .custom_header__info-button {
    margin-top: 12px;
    width: 50%;
  }

  .custom_header__info-container {
    max-width: 95%;
    border-radius: 20px;
    margin: -10px auto -10px auto;
  }

  .custom_header__info-left {
    margin-left: -30%;
  }
}